<template>
	<div>
		<div v-if="ORDER.id" class="w-full mb-12">
			<h1
				class="font-secondary-font-regular mx-4 md:mx-10 text-3xl lg:text-5xl leading-8 md:leading-10 lg:leading-14 py-8 md:py-12 lg:pt-16 lg:pb-20 md:text-center"
			>
				Thanks {{ orderUsername }}!
			</h1>
			<div class="max-w-screen-xl grid grid-flow-row lg:grid-flow-col md:mx md:mx-10 lg:mx-7 lg:gap-y-10 lg:gap-x-11">
				<MkConfirmation />
				<MkSocialMediaMessage class="mt-2 md:mt-10 lg:mt-0" />
			</div>
		</div>
	</div>
</template>

<script>
import { mapState } from 'vuex';
import MkConfirmation from '~/components/D2C/organisms/MkConfirmation.vue';
import MkSocialMediaMessage from '~/components/D2C/organisms/MkSocialMediaMessage.vue';
export default {
	name: 'MkActivatedConfirmationLayout',
	components: {
		MkConfirmation,
		MkSocialMediaMessage,
	},
	computed: {
		...mapState('USER_STORE', ['ORDER']),
		orderUsername() {
			return this.ORDER && this.ORDER.customerFirstName;
		},
	},
	async mounted() {
		const order = this.$route.query.order;
		this.$store.commit('CHECKOUT_STORE/TOGGLE_PAGE_SPINNER');
		if (order) {
			await this.$store.dispatch('USER_STORE/GET_ORDER', { orderId: order });
		}
		this.$store.commit('CHECKOUT_STORE/TOGGLE_PAGE_SPINNER');
	},
};
</script>
